#!/bin/sh

which dnf 2> /dev/null
if [[ $? == 0 ]]; then
	sudo dnf install -y python3-pygments
else
	echo 'failed to install pygments with dnf' >&2
	exit 1
fi

which opam 2> /dev/null
if [[ $? == 0 ]]; then
	opam install -y soupault
else
	echo 'failed to install soupault with opam' >&2
	exit 2
fi

which cargo 2> /dev/null
if [[ $? == 0 ]]; then
	cargo install jotdown
else
	echo 'failed to install jotdown with cargo'
	exit 3
fi
